Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.data
Interface DataText

    public interface DataText

This class assembles texts which are used in the data classes.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Field Summary
`static byte[]` | `ATT1` Attribute output.
`static byte[]` | `ATT2` Attribute output.
`static byte[]` | `ATT3` Attribute output.
`static java.lang.String` | `ATTINDEX` Data info.
`static byte[]` | `COM1` Comment output.
`static byte[]` | `COM2` Comment output.
`static byte[]` | `COMM` Text step.
`static java.lang.String` | `CREATEATTINDEX` Create Database information.
`static java.lang.String` | `CREATECANCEL` Builder error.
`static java.lang.String` | `CREATEFINISH` Finish process.
`static java.lang.String` | `CREATEFTINDEX` Create Database information.
`static java.lang.String` | `CREATEINDEX` Create Database information.
`static java.lang.String` | `CREATESIZE` Create Database information.
`static java.lang.String` | `CREATETXTINDEX` Create Database information.
`static java.lang.String` | `CREATEWORDINDEX` Create Database information.
`static java.lang.String` | `DATAATN` Database - Attribute name index.
`static java.lang.String` | `DATAATV` Database - Attribute value index.
`static java.lang.String` | `DATAFTX` Database - Fulltext index.
`static java.lang.String` | `DATAINFO` Database - Info.
`static java.lang.String` | `DATATAG` Database - Tag index.
`static java.lang.String` | `DATATBL` Database - Tokens.
`static java.lang.String` | `DATATMP` Database - Temporary Size References.
`static java.lang.String` | `DATATXT` Database - Text index.
`static java.lang.String` | `DATAWRD` Database - Word index.
`static java.lang.String` | `DBATVINDEX` File indexing.
`static java.lang.String` | `DBCHOPPED` File chopping.
`static java.lang.String` | `DBENCODING` File encoding.
`static java.lang.String` | `DBENTITY` File chopping.
`static java.lang.String` | `DBFNAME` File name.
`static java.lang.String` | `DBFSIZE` File size.
`static java.lang.String` | `DBFTXINDEX` File fulltext indexing.
`static java.lang.String` | `DBHEIGHT` Tree height.
`static java.lang.String` | `DBLASTID` Last (highest) id.
`static java.lang.String` | `DBSIZE` Number of XML nodes.
`static java.lang.String` | `DBSTORAGE` Database version.
`static java.lang.String` | `DBTIME` Last modification time.
`static java.lang.String` | `DBTXTINDEX` File indexing.
`static java.lang.String` | `DBUPDATE` Database Update.
`static java.lang.String` | `DBWRDINDEX` File word indexing.
`static byte[]` | `ELEM1` Element output.
`static byte[]` | `ELEM2` Element output.
`static byte[]` | `ELEM3` Element output.
`static byte[]` | `ELEM4` Element output.
`static java.lang.String` | `FTINDEX` Data info.
`static byte[]` | `PI` Text step.
`static byte[]` | `PI1` PI output.
`static byte[]` | `PI2` PI output.
`static byte[]` | `RESULT` Opening result tag.
`static byte[]` | `RESULTATT1` Opening attribute tag.
`static byte[]` | `RESULTATT2` Connecting attribute tag.
`static byte[]` | `RESULTATT3` Closing attribute tag.
`static byte[]` | `RESULTCLOSE` Closing result tag.
`static byte[]` | `RESULTOPEN` Opening result tag.
`static byte[]` | `RESULTS` Results tag.
`static byte[]` | `RESULTSCLOSE` Closing results tag.
`static byte[]` | `RESULTSEMPTY` Empty results tag.
`static byte[]` | `RESULTSOPEN` Opening results tag.
`static java.lang.String` | `STORAGE` Database version; if it's modified, old database instances can't be parsed anymore.
`static java.lang.String` | `TABLEATTR` Table Text.
`static java.lang.String` | `TABLECOMM` Table Comment.
`static java.lang.String` | `TABLEDOC` Table Document.
`static java.lang.String` | `TABLEELEM` Table Element.
`static java.lang.String` | `TABLEHEAD1` First table Header.
`static java.lang.String` | `TABLEHEAD2` Second table Header.
`static java.lang.String` | `TABLEHEAD3` Third table Header.
`static java.lang.String` | `TABLEHEAD4` Fourth table Header.
`static java.lang.String` | `TABLEHEAD5` Fifth table Header.
`static java.lang.String` | `TABLEPI` Table Text.
`static java.lang.String` | `TABLETEXT` Table Text.
`static java.lang.String` | `TAGINDEX` Data info.
`static byte[]` | `TEXT` Text step.
`static java.lang.String` | `TEXTINDEX` Data info.
`static byte[]` | `TXT1` Text output.
`static byte[]` | `TXT2` Text output.
`static java.lang.String` | `VALHIT` Query Hits.
`static java.lang.String` | `VALHITS` Query Hits.
`static java.lang.String` | `VALUEINDEX` Data info.
`static java.lang.String` | `WORDINDEX` Data info.

Field Detail

### ATT1

    static final byte[] ATT1

  Attribute output.

### ATT2

    static final byte[] ATT2

  Attribute output.

### ATT3

    static final byte[] ATT3

  Attribute output.

### ATTINDEX

    static final java.lang.String ATTINDEX

  Data info.

  See Also:
    Constant Field Values

### COM1

    static final byte[] COM1

  Comment output.

### COM2

    static final byte[] COM2

  Comment output.

### COMM

    static final byte[] COMM

  Text step.

### CREATEATTINDEX

    static final java.lang.String CREATEATTINDEX

  Create Database information.

  See Also:
    Constant Field Values

### CREATECANCEL

    static final java.lang.String CREATECANCEL

  Builder error.

  See Also:
    Constant Field Values

### CREATEFINISH

    static final java.lang.String CREATEFINISH

  Finish process.

  See Also:
    Constant Field Values

### CREATEFTINDEX

    static final java.lang.String CREATEFTINDEX

  Create Database information.

  See Also:
    Constant Field Values

### CREATEINDEX

    static final java.lang.String CREATEINDEX

  Create Database information.

  See Also:
    Constant Field Values

### CREATESIZE

    static final java.lang.String CREATESIZE

  Create Database information.

  See Also:
    Constant Field Values

### CREATETXTINDEX

    static final java.lang.String CREATETXTINDEX

  Create Database information.

  See Also:
    Constant Field Values

### CREATEWORDINDEX

    static final java.lang.String CREATEWORDINDEX

  Create Database information.

  See Also:
    Constant Field Values

### DATAATN

    static final java.lang.String DATAATN

  Database - Attribute name index.

  See Also:
    Constant Field Values

### DATAATV

    static final java.lang.String DATAATV

  Database - Attribute value index.

  See Also:
    Constant Field Values

### DATAFTX

    static final java.lang.String DATAFTX

  Database - Fulltext index.

  See Also:
    Constant Field Values

### DATAINFO

    static final java.lang.String DATAINFO

  Database - Info.

  See Also:
    Constant Field Values

### DATATAG

    static final java.lang.String DATATAG

  Database - Tag index.

  See Also:
    Constant Field Values

### DATATBL

    static final java.lang.String DATATBL

  Database - Tokens.

  See Also:
    Constant Field Values

### DATATMP

    static final java.lang.String DATATMP

  Database - Temporary Size References.

  See Also:
    Constant Field Values

### DATATXT

    static final java.lang.String DATATXT

  Database - Text index.

  See Also:
    Constant Field Values

### DATAWRD

    static final java.lang.String DATAWRD

  Database - Word index.

  See Also:
    Constant Field Values

### DBATVINDEX

    static final java.lang.String DBATVINDEX

  File indexing.

  See Also:
    Constant Field Values

### DBCHOPPED

    static final java.lang.String DBCHOPPED

  File chopping.

  See Also:
    Constant Field Values

### DBENCODING

    static final java.lang.String DBENCODING

  File encoding.

  See Also:
    Constant Field Values

### DBENTITY

    static final java.lang.String DBENTITY

  File chopping.

  See Also:
    Constant Field Values

### DBFNAME

    static final java.lang.String DBFNAME

  File name.

  See Also:
    Constant Field Values

### DBFSIZE

    static final java.lang.String DBFSIZE

  File size.

  See Also:
    Constant Field Values

### DBFTXINDEX

    static final java.lang.String DBFTXINDEX

  File fulltext indexing.

  See Also:
    Constant Field Values

### DBHEIGHT

    static final java.lang.String DBHEIGHT

  Tree height.

  See Also:
    Constant Field Values

### DBLASTID

    static final java.lang.String DBLASTID

  Last (highest) id.

  See Also:
    Constant Field Values

### DBSIZE

    static final java.lang.String DBSIZE

  Number of XML nodes.

  See Also:
    Constant Field Values

### DBSTORAGE

    static final java.lang.String DBSTORAGE

  Database version.

  See Also:
    Constant Field Values

### DBTIME

    static final java.lang.String DBTIME

  Last modification time.

  See Also:
    Constant Field Values

### DBTXTINDEX

    static final java.lang.String DBTXTINDEX

  File indexing.

  See Also:
    Constant Field Values

### DBUPDATE

    static final java.lang.String DBUPDATE

  Database Update.

  See Also:
    Constant Field Values

### DBWRDINDEX

    static final java.lang.String DBWRDINDEX

  File word indexing.

  See Also:
    Constant Field Values

### ELEM1

    static final byte[] ELEM1

  Element output.

### ELEM2

    static final byte[] ELEM2

  Element output.

### ELEM3

    static final byte[] ELEM3

  Element output.

### ELEM4

    static final byte[] ELEM4

  Element output.

### FTINDEX

    static final java.lang.String FTINDEX

  Data info.

  See Also:
    Constant Field Values

### PI

    static final byte[] PI

  Text step.

### PI1

    static final byte[] PI1

  PI output.

### PI2

    static final byte[] PI2

  PI output.

### RESULT

    static final byte[] RESULT

  Opening result tag.

### RESULTATT1

    static final byte[] RESULTATT1

  Opening attribute tag.

### RESULTATT2

    static final byte[] RESULTATT2

  Connecting attribute tag.

### RESULTATT3

    static final byte[] RESULTATT3

  Closing attribute tag.

### RESULTCLOSE

    static final byte[] RESULTCLOSE

  Closing result tag.

### RESULTOPEN

    static final byte[] RESULTOPEN

  Opening result tag.

### RESULTS

    static final byte[] RESULTS

  Results tag.

### RESULTSCLOSE

    static final byte[] RESULTSCLOSE

  Closing results tag.

### RESULTSEMPTY

    static final byte[] RESULTSEMPTY

  Empty results tag.

### RESULTSOPEN

    static final byte[] RESULTSOPEN

  Opening results tag.

### STORAGE

    static final java.lang.String STORAGE

  Database version; if it's modified, old database instances can't be parsed anymore.

  See Also:
    Constant Field Values

### TABLEATTR

    static final java.lang.String TABLEATTR

  Table Text.

  See Also:
    Constant Field Values

### TABLECOMM

    static final java.lang.String TABLECOMM

  Table Comment.

  See Also:
    Constant Field Values

### TABLEDOC

    static final java.lang.String TABLEDOC

  Table Document.

  See Also:
    Constant Field Values

### TABLEELEM

    static final java.lang.String TABLEELEM

  Table Element.

  See Also:
    Constant Field Values

### TABLEHEAD1

    static final java.lang.String TABLEHEAD1

  First table Header.

  See Also:
    Constant Field Values

### TABLEHEAD2

    static final java.lang.String TABLEHEAD2

  Second table Header.

  See Also:
    Constant Field Values

### TABLEHEAD3

    static final java.lang.String TABLEHEAD3

  Third table Header.

  See Also:
    Constant Field Values

### TABLEHEAD4

    static final java.lang.String TABLEHEAD4

  Fourth table Header.

  See Also:
    Constant Field Values

### TABLEHEAD5

    static final java.lang.String TABLEHEAD5

  Fifth table Header.

### TABLEPI

    static final java.lang.String TABLEPI

  Table Text.

  See Also:
    Constant Field Values

### TABLETEXT

    static final java.lang.String TABLETEXT

  Table Text.

  See Also:
    Constant Field Values

### TAGINDEX

    static final java.lang.String TAGINDEX

  Data info.

  See Also:
    Constant Field Values

### TEXT

    static final byte[] TEXT

  Text step.

### TEXTINDEX

    static final java.lang.String TEXTINDEX

  Data info.

  See Also:
    Constant Field Values

### TXT1

    static final byte[] TXT1

  Text output.

### TXT2

    static final byte[] TXT2

  Text output.

### VALHIT

    static final java.lang.String VALHIT

  Query Hits.

  See Also:
    Constant Field Values

### VALHITS

    static final java.lang.String VALHITS

  Query Hits.

  See Also:
    Constant Field Values

### VALUEINDEX

    static final java.lang.String VALUEINDEX

  Data info.

  See Also:
    Constant Field Values

### WORDINDEX

    static final java.lang.String WORDINDEX

  Data info.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD